<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<input
	#writeIn="ngModel"
	(keydown.enter)="preventFormSubmission()"
	(ngModelChange)="setWriteIn(writeIn.value)"
	[attr.aria-label]="'listandcandidates.writein.label.screenreader' | translate: { position: position }"
	[maxlength]="writeInMaxLength"
	[ngModel]="initialWriteIn"
	[placeholder]="'listandcandidates.writein.placeholder' | translate"
	aria-labelledby="writeIn--invalid-characters writeIn--invalid-format"
	class="form-control"
	id="candidate-{{position - 1}}--write-in"
	required
	type="text"
>

<ng-container *ngIf="showErrors">
	<div
			*ngIf="writeInControl.errors?.['incorrectCharacters']"
			class="alert alert-warning mt-3 d-flex align-items-center gap-2"
			id="writeIn--invalid-characters"
	>
		<p class="mb-0">{{ 'listandcandidates.writein.invalidcharacters' | translate }}</p>
		<button
				(click)="showWriteInsFAQ()"
				class="btn btn-link"
				type="button"
		>
			<vp-icon name="question-circle"></vp-icon>
			<span>{{ 'listandcandidates.writein.invalidcharacters.seevalidones' | translate }}</span>
		</button>
	</div>

	<div
			*ngIf="writeInControl.errors?.['incorrectFormat']"
			class="alert alert-warning mt-3"
			id="writeIn--invalid-format"
	>
		<p class="mb-0">{{ 'listandcandidates.writein.invalidformat' | translate }}</p>
		<button
				(click)="showWriteInsFAQ()"
				class="btn btn-link align-with-text"
				type="button"
		>
			<vp-icon name="question-circle"></vp-icon>
			<span>{{ 'listandcandidates.instructions.howtousewriteins' | translate }}</span>
		</button>
	</div>

	<div
			*ngIf="writeInControl.errors?.['notSelectedInPrimary']"
			class="alert alert-warning mt-3"
			id="writeIn--not-selected-in-primary"
	>
		<p class="mb-0">{{ 'listandcandidates.writein.notinprimary' | translate }}</p>
		<button
				(click)="showWriteInsFAQ()"
				class="btn btn-link align-with-text"
				type="button"
		>
			<vp-icon name="question-circle"></vp-icon>
			<span>{{ 'listandcandidates.instructions.howtousewriteins' | translate }}</span>
		</button>
	</div>
</ng-container>
